geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: Updating Geronimo
Date Mon, 26 Oct 2009 18:13:57 GMT

On Oct 26, 2009, at 10:38 AM, Quintin Beukes wrote:

> This is good to know. I was under the impression you had to recompile
> the plugins that use the dependency. Clearly it's much easier :>
>
> My confusion of this came in with the config.ser found in the plugin
> directories. I noticed that they had the artifacts listed inside of
> it. Beyond reading the raw binary I haven't done much research of this
> file. What exactly is it, and what are the dependencies listed inside
> of it? I never saw a version in there, so I figure it's just the
> serialized configuration without the versions? Some plugins for
> example list the version of all the artifacts in their plan.xml and
> geronimo-plan.xml, but I see no such version in config.ser.

The config.ser file has the info in the environment element and the  
serialized gbean state for all the gbeans in it.  The environment  
element may or may not have the artifact versions listed: if they are  
missing geronimo will try to resolve them to the latest available  
version.  We went to a lot of trouble to write version resolution code  
but I now think that it almost always makes more sense to explicitly  
specify versions in environment elements and to use artifact- 
alias.properties entries to explicitly upgrade versions.

I'm quite surprised that you are finding that the versions are missing  
from the config.ser files you've looked at.  I've been trying to work  
towards always including the versions in geronimo plugins, and they  
ought to be both present or both missing from the geronimo-plugin.xml  
and config.ser files. Are you sure you are correctly interpreting the  
binary goo?

thanks
david jencks

>
> I understand it's not exactly related to this question, but I once had
> the same question, which is where these questions of mine originated.
>
> Quintin Beukes
>
>
>
> On Mon, Oct 26, 2009 at 4:10 PM, Ivan <xhhsld@gmail.com> wrote:
>> Edit the var/config/artifact_alases.properties should help you,  
>> refer to
>> http://cwiki.apache.org/GMOxDOC22/substituting-one-module-with-another.html
>>
>> 2009/10/26 Russell Collins <Russell.Collins@mclaneat.com>
>>>
>>> I have a couple of questions about keeping a Geronimo server up to  
>>> date
>>> with current versions of binaries that are included with the server.
>>> Example.  I would like to replace the commons-collections library  
>>> to the
>>> most current version.  How would I go about doing this without  
>>> breaking the
>>> server?  Are there any dependency/config files that would need to  
>>> be updated
>>> so that the server would use a different version of the binary?   
>>> Please let
>>> me know how I would go about doing this.
>>>
>>>
>>>
>>>
>>>
>>> Russell Collins
>>>
>>>
>>
>>
>> --
>> Ivan
>>


Mime
View raw message